package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.CityVo;
import com.ruoyi.system.domain_yada.OrientationVO;
import com.ruoyi.system.service_yada.ICityService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 城市
 */
@RestController
@RequestMapping(value = "/business-service/api/City", produces = "application/json;charset=UTF-8")
@Api(tags = "城市")
public class CityController
{
    @Resource
    private ICityService cityService;



    @RequestMapping(value = "/getImpervious",method = {RequestMethod.GET})
    @ApiOperation(value = "不透水面面积",httpMethod = "GET")
    public AjaxResult getImpervious(String city,String country)
    {
        List<CityVo> cityVos=cityService.selectCity(city,country);
        return  AjaxResult.success(cityVos);
    }


    @RequestMapping(value = "/getOrientation",method = {RequestMethod.GET})
    @ApiOperation(value = "不透水面扩张方向",httpMethod = "GET")
    public AjaxResult getOrientation(String city,String country)
    {
        List<OrientationVO> cityVos=cityService.selectOrientation(city,country);
        return  AjaxResult.success(cityVos);
    }
}
