package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.SpecialVO;
import com.ruoyi.system.domain_yada.UploadSpecialVO;
import com.ruoyi.system.service_yada.ISpecialReportService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.aspectj.weaver.loadtime.Aj;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 专题报告
 */
@RestController
@RequestMapping(value = "/business-service/api/Special", produces = "application/json;charset=UTF-8")
@Api(tags = "专题报告")
public class SpecialReportController
{

    @Resource
    private ISpecialReportService service;

    @RequestMapping(value = "/getSpecial",method = {RequestMethod.GET})
    @ApiOperation(value = "返回专题数据",httpMethod = "GET")
    public AjaxResult getSpecial(String zone)
    {
        List<SpecialVO> value=service.selectSpecial(zone);

        return  AjaxResult.success(value);
    }

    @RequestMapping(value = "/DelSpecial",method = {RequestMethod.GET})
    @ApiOperation(value = "删除专题数据",httpMethod = "GET")
    public AjaxResult DelSpecial(@RequestParam("id") Integer id)
    {
        Integer value=service.DelSpecial(id);
        if (value>0){
            return  AjaxResult.success("成功！");
        }else {
            return  AjaxResult.error();
        }
    }


    @RequestMapping(value = "/updateUploadSpecial",method = {RequestMethod.GET})
    @ApiOperation(value = "修改下载数量",httpMethod = "GET")
    public AjaxResult updateUploadSpecial(@RequestParam("id") Integer id)
    {
        Integer value=service.updateUploadSpecial(id);

        if (value>0){return  AjaxResult.success("成功！");}
        return  AjaxResult.error();

    }

    @RequestMapping(value = "/getUploadSpecial")
    @ApiOperation(value = "返回专题通报")
    public  AjaxResult getUploadSpecial(String fileName)
    {
        List<UploadSpecialVO> value=service.selectUploadSpecial(fileName);

        return  AjaxResult.success(value);
    }

    @RequestMapping(value = "/getUploadStandard")
    @ApiOperation(value = "返回专题规范")
    public  AjaxResult getUploadStandard(String fileName)
    {
        List<UploadSpecialVO> value=service.selectUploadSpecial1(fileName);

        return  AjaxResult.success(value);
    }


    @RequestMapping(value = "/getWord",method = {RequestMethod.GET})
    @ApiOperation(value = "返回专题报告路径",httpMethod = "GET")
    public AjaxResult getWord(@RequestParam("path") String path,@RequestParam("name") String name)
    {
        String route="";
        switch (path)
        {
            case "ch":
                route="avatar/word/陆域中文1130.pdf";
                break;
            case "en":
                route="avatar/word/陆域中文1130.pdf";
                break;
            default:
                return  AjaxResult.error("未找到对应路径");
        }
        return  AjaxResult.success(route);
    }
}
