package com.ruoyi.web.controller.yada;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain_yada.AustraliaMiddleEastVO;
import com.ruoyi.system.domain_yada.UrbanVO;
import com.ruoyi.system.service_yada.IAustraliaMiddleEastService;
import com.ruoyi.system.service_yada.IUrbanService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.time.LocalDateTime;
import java.util.List;

/**
 * 中国城市监测
 */
@Api(tags = "中国城市监测")
@RestController
@RequestMapping(value = "/business-service/api/Urban", produces = "application/json;charset=UTF-8")
public class UrbanController {
    @Resource
    private IUrbanService urbanService;

    /**
     * 查询方法
     * @param response 响应头
     * @param request 客户端请求
     * @return 参数类
     */
    @RequestMapping(value = "/selectUrban",method = {RequestMethod.GET})
    @ApiOperation(value = "查询方法",httpMethod = "GET")
    public AjaxResult selectUrban(HttpServletResponse response, HttpServletRequest request,@RequestBody UrbanVO urbanVO)
    {
        List<UrbanVO> eastVOSList= urbanService.selectUrban(urbanVO.getName(),urbanVO.getParticularYear());
        return AjaxResult.success(eastVOSList);
    }

    /**
     * 删除方法
     * @param ID id
     * @return 状态码
     */
    @RequestMapping(value = "/DelUrban",method = {RequestMethod.DELETE})
    @ApiOperation(value = "删除方法",httpMethod = "DELETE")
    public AjaxResult DelUrban(@Param("ID") String ID)
    {
        int NUM = urbanService.DelUrban(ID);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();

    }

    /**
     * 新增方法
     * @param eastVOS 新增实体类
     * @return 状态码
     */
    @ApiOperation(value = "新增方法",httpMethod = "POST")
    @RequestMapping(value = "/IntoUrban",method = {RequestMethod.POST})
    @ApiImplicitParam(name = "userId", value = "用户ID", required = true, dataType = "long", paramType = "path", dataTypeClass = long.class)
    public AjaxResult IntoUrban(@RequestBody UrbanVO eastVOS)
    {
        eastVOS.setCreateTime(LocalDateTime.now());
        int NUM =  urbanService.IntoUrban(eastVOS);
        if (NUM>0)
        {
            return AjaxResult.success();
        }
        return  AjaxResult.error();
    }
}
