package com.ruoyi.system.mapper_yada;

import com.ruoyi.system.domain_yada.MapServicesVO;
import com.ruoyi.system.domain_yada.ThematicMapDomain;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.hibernate.validator.constraints.NotEmpty;
import org.springframework.stereotype.Repository;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author taco chen
 */
public interface ThematicMapMapper {

    /**
     * 获取所有专题图
     * @return
     */
    List<ThematicMapDomain> selectAllThematicMap(@Param("pictureType") String pictureType,
                                                 @Param("pictureTypeOne") String pictureTypeOne,
                                                 @Param("pictureTypeTwo") String pictureTypeTwo);

    /**
     * 查看地图服务
     * @param chartName 服务名称
     * @param chartType 服务类型
     * @return
     */
    List<MapServicesVO> selMapServers(@Param("chartName") String chartName,
                                      @Param("chartType") String chartType,
                                      @Param("particularYear") String particularYear);

    /**
     * 删除专题图根据编号
     * @param id 编号
     * @return
     */
    Integer deleteThematicMap(Long id);

    /**
     * 保存专题图
     * @param thematicMapDomain
     * @return
     */
    Integer saveThematicMap(ThematicMapDomain thematicMapDomain);

}
