package com.ruoyi.system.service_yada;

import com.ruoyi.system.domain_yada.MapServicesVO;
import com.ruoyi.system.domain_yada.ThematicMapDomain;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 专题图服务
 * @Author: taco chen
 * @Date: 2022/5/11 11:40
 */
public interface ThematicMapService {


    /**
     * 获取全部专题图
     * @return
     */
    List<ThematicMapDomain> selectAll(String pictureType,String pictureTypeOne, String pictureTypeTwo);

    /**
     * 获取地图服务
     * @param chartName
     * @param chartType
     * @return
     */
    List<MapServicesVO> selMapServers(String chartName, String chartType,String particularYear);

    /**
     * 删除专题图根据编号
     * @param id 编号
     * @return
     */
    Integer deleteById(Long id);

    /**
     * 保存专题图
     * @param thematicMapDomain
     * @return
     */
    Integer save(ThematicMapDomain thematicMapDomain);


}
